# List feeds

Endpoint: POST /api/v2/feeds/index
Version: 2.0
Security: bearerAuth

## Request fields (application/json):

  - `filters` (array)
    A list of key-value pairs representing filter criteria for the request. Keys represent fields to filter by, operator can be any of the following: '=', '>', '=', '<=', (not) 'in', '(not) contains', '(not) startswith', '(not) endswith', '(not) isnull'.
    Example: [{"key":"name","operator":"contains","value":"example_value"},{"key":"deletedAt","operator":"isnull"}]

  - `sort` (array)
    A list of key-value pairs representing sorting criteria. Keys represent fields to sort by, and values define the sort direction (e.g., 'asc' or 'desc').
    Example: [{"key":"createdAt","direction":"desc"}]

  - `show` (array)
    A list of field names specifying which fields to include in the response.
    Example: ["id","name","status","dateCreated"]

  - `limit` (integer)
    The maximum number of items to retrieve per page.
    Example: 25

  - `page` (integer)
    The page number to retrieve in the paginated response (1-based index).
    Example: 1

  - `query` (string)
    Optional search query to filter results. This will apply to all properties on the entity.
    Example: "searchText"

## Response 200 fields (application/json):

  - `message` (string)
    A message detailing the result of the operation.
    Example: "Success"

  - `data` (array)
    The data returned in the current page of the pagination.

  - `data.uuid` (string, required)
    Unique identifier for the entity

  - `data.name` (string, required)
    The name of the entity

  - `data.label` (string)
    Display label for the entity, can be different from name

  - `data.createdAt` (integer)
    Unix timestamp when the entity was created

  - `data.createdBy` (object)
    Identifier of the user who created the entity

  - `data.createdBy.name` (string, required)

  - `data.createdBy.label` (string)

  - `data.createdBy.createdAt` (integer)

  - `data.createdBy.updatedAt` (integer)

  - `data.createdBy.deletedAt` (integer)

  - `data.createdBy.createdByUuid` (string)

  - `data.createdBy.updatedByUuid` (string)

  - `data.createdBy.deletedByUuid` (string)

  - `data.createdBy.index` (integer)

  - `data.createdBy.deleted` (boolean)

  - `data.createdBy.complete` (boolean)

  - `data.createdBy.uuid` (string, required)

  - `data.createdBy.properties` (array)

  - `data.createdBy.properties.icon` (string)

  - `data.createdBy.properties.name` (string)

  - `data.createdBy.properties.value` (any)

  - `data.createdBy.properties.type` (string)

  - `data.createdBy.properties.label` (string)

  - `data.createdBy.objects` (object)

  - `data.createdBy.user` (object)

  - `data.createdBy.user.uuid` (string)

  - `data.createdBy.user.email` (string)

  - `data.createdBy.user.firstname` (string)

  - `data.createdBy.user.lastname` (string)

  - `data.createdBy.user.initials` (string)

  - `data.createdBy.user.scopes` (array)

  - `data.createdBy.user.filters` (object)

  - `data.createdBy.user.role` (string)

  - `data.createdBy.user.record` (object)

  - `data.updatedAt` (integer)
    Unix timestamp when the entity was last updated

  - `data.updatedBy` (object)
    Identifier of the user who last updated the entity

  - `data.updatedBy.name` (string, required)

  - `data.updatedBy.label` (string)

  - `data.updatedBy.createdAt` (integer)

  - `data.updatedBy.updatedAt` (integer)

  - `data.updatedBy.deletedAt` (integer)

  - `data.updatedBy.createdByUuid` (string)

  - `data.updatedBy.updatedByUuid` (string)

  - `data.updatedBy.deletedByUuid` (string)

  - `data.updatedBy.index` (integer)

  - `data.updatedBy.deleted` (boolean)

  - `data.updatedBy.complete` (boolean)

  - `data.updatedBy.uuid` (string, required)

  - `data.updatedBy.properties` (array)

  - `data.updatedBy.properties.icon` (string)

  - `data.updatedBy.properties.name` (string)

  - `data.updatedBy.properties.value` (any)

  - `data.updatedBy.properties.type` (string)

  - `data.updatedBy.properties.label` (string)

  - `data.updatedBy.objects` (object)

  - `data.updatedBy.user` (object)

  - `data.updatedBy.user.uuid` (string)

  - `data.updatedBy.user.email` (string)

  - `data.updatedBy.user.firstname` (string)

  - `data.updatedBy.user.lastname` (string)

  - `data.updatedBy.user.initials` (string)

  - `data.updatedBy.user.scopes` (array)

  - `data.updatedBy.user.filters` (object)

  - `data.updatedBy.user.role` (string)

  - `data.updatedBy.user.record` (object)

  - `data.deletedAt` (integer)
    Unix timestamp when the entity was deleted (null if not deleted)

  - `data.deletedBy` (object)
    Identifier of the user who deleted the entity

  - `data.deletedBy.name` (string, required)

  - `data.deletedBy.label` (string)

  - `data.deletedBy.createdAt` (integer)

  - `data.deletedBy.updatedAt` (integer)

  - `data.deletedBy.deletedAt` (integer)

  - `data.deletedBy.createdByUuid` (string)

  - `data.deletedBy.updatedByUuid` (string)

  - `data.deletedBy.deletedByUuid` (string)

  - `data.deletedBy.index` (integer)

  - `data.deletedBy.deleted` (boolean)

  - `data.deletedBy.complete` (boolean)

  - `data.deletedBy.uuid` (string, required)

  - `data.deletedBy.properties` (array)

  - `data.deletedBy.properties.icon` (string)

  - `data.deletedBy.properties.name` (string)

  - `data.deletedBy.properties.value` (any)

  - `data.deletedBy.properties.type` (string)

  - `data.deletedBy.properties.label` (string)

  - `data.deletedBy.objects` (object)

  - `data.deletedBy.user` (object)

  - `data.deletedBy.user.uuid` (string)

  - `data.deletedBy.user.email` (string)

  - `data.deletedBy.user.firstname` (string)

  - `data.deletedBy.user.lastname` (string)

  - `data.deletedBy.user.initials` (string)

  - `data.deletedBy.user.scopes` (array)

  - `data.deletedBy.user.filters` (object)

  - `data.deletedBy.user.role` (string)

  - `data.deletedBy.user.record` (object)

  - `data.index` (integer)
    Index number for ordering entities

  - `data.slug` (string)

  - `data.format` (string)

  - `data.mainObject` (string)

  - `data.isPublic` (boolean)

  - `data.publicToken` (string)

  - `data.filter` (any)

  - `data.filterJson` (string)

  - `data.mapping` (any)

  - `data.mappingJson` (string)

  - `data.parseRecord` (boolean)

  - `data.rootElement` (string)

  - `data.itemElement` (string)

  - `data.cacheTtlSeconds` (integer)

  - `data.active` (boolean)

  - `total` (integer)
    The total number of items available.
    Example: 100

  - `page` (integer)
    The current page number (starts from 1).
    Example: 1

  - `perPage` (integer)
    The number of items displayed per page.
    Example: 10

  - `lastPage` (integer)
    The last page number available for the pagination.
    Example: 10

## Response 401 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 403 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 404 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"

## Response 500 fields (application/json):

  - `message` (string)
    The error message providing details about the failure.
    Example: "Resource not found."

  - `errors` (array)
    A list of error types providing further details about the error.

  - `errors.message` (string, required)
    The error message providing details about the failure.
    Example: "Invalid file type."

  - `errors.type` (string, required)
    The type of error.
    Enum: "VALIDATION", "NOT_FOUND", "TEST", "RELATION_NOT_ALLOWED", "INVALID_VALUE", "GENERAL", "INVALID_FILE_TYPE", "INTERNAL_SERVER_ERROR", "CARAER_ERROR", "INVALID_EMAIL", "INVALID_DATE"

  - `errors.correctionSuggestion` (string, required)
    A suggestion on how to correct the error.
    Example: "Try uploading a different file type."

  - `status` (integer)
    The HTTP status code associated with the error.
    Example: 400

  - `stackTrace` (string)

  - `roles` (array)
    Roles the caller is missing when the failure is an authorization error.
    Enum: "USER", "ADMIN", "RESELLER", "DEVELOPER", "SUPER_ADMIN"

  - `scopes` (array)
    Scopes the caller is missing when the failure is an authorization error.

  - `requestId` (string)
    Request correlation ID for support and log tracing.
    Example: "a1b2c3d4-e5f6-7890-abcd-ef1234567890"


